#
# spec file for package compat-readline4 (Version 4.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           compat-readline4
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Version:        4.3
Release:        15.2
Summary:        The Old readline Library 4.3
Group:          System/Libraries
Source:         readline-%{version}.tar.bz2
Patch1:         readline-%{version}.dif
Patch2:         readline-%{version}-destdir.patch
Patch9:         bash-2.05b-display.patch
Patch10:        bash-2.05b-display-mbspeed.patch
Patch13:        readline-%{version}-input.dif
Patch14:        bash-2.05b-readline-init.patch
Patch15:        bash-2.05b-complete.patch
Patch17:        bash-2.05b-infinite.patch
Patch18:        bash-2.05b-mbutil.patch
Patch19:        bash-2.05b-vimode.patch
Patch22:        bash-2.05b-utf8.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The readline library is used by the Bourne Again shell (Bash, the
standard comand interpreter) for easy editing of command lines.  This
includes history and search functionality.

This package includes an older version for compatibility reasons.



%debug_package
%prep
%setup -q -n readline-4.3
%patch9  -p2 -b .display
%patch10 -p2 -b .display-mbspeed
%patch14 -p3 -b .readline-init
%patch15 -p3 -b .complete
%patch17 -p2 -b .infinite
%patch18 -p2 -b .mbutil
%patch19 -p2 -b .vimode
%patch22 -p2 -b .uft8
%patch1  -p0
%patch2  -p0 -b .destdir
%patch13 -p0 -b .zerotty

%build
%{?suse_update_config:%{suse_update_config -f support}}
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" ./configure \
	--build=%{_target_cpu}-suse-linux \
	--prefix=/usr			  \
	--with-curses			  \
	--mandir=%{_mandir}		  \
	--infodir=%{_infodir}		  \
	--libdir=%{_libdir}
make

%install
mkdir $RPM_BUILD_ROOT/%{_lib}
install -m 755 shlib/libreadline.so.4.3 $RPM_BUILD_ROOT/%{_lib}
install -m 755 shlib/libhistory.so.4.3 $RPM_BUILD_ROOT/%{_lib}
/sbin/ldconfig -n  $RPM_BUILD_ROOT/%{_lib}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/libhistory.so.4
/%{_lib}/libhistory.so.4.3
/%{_lib}/libreadline.so.4
/%{_lib}/libreadline.so.4.3

%changelog -n compat-readline4
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 06 2004 - kukuk@suse.de
- Split from old bash package for binary compatibility with old
  packages.
